curl --request POST \
--url https://api.maketou.net/api/v1/stores/cart/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productDocumentId": "550e8400-e29b-41d4-a716-446655440000",
"email": "client@example.com",
"firstName": "Jean",
"lastName": "Dupont",
"phone": "+33612345678",
"redirectURL": "https://monsite.com/confirmation",
"webhookUrl": "https://monsite.com/webhooks/maketou-cart",
"meta": {
"userId": "12345",
"source": "website"
}
}
'{
"cart": {
"id": "fd2d91d7-20d2-4b86-b067-d474fb0d1e60",
"createdAt": "2025-11-28T14:27:00.805Z",
"updatedAt": "2025-11-28T14:27:00.805Z",
"status": "waiting_payment",
"customerInfo": {
"firstName": "John",
"lastName": "Doe",
"email": "customer@example.com",
"phone": "+33612345678",
"lang": "fr-FR"
}
},
"redirectUrl": "https://checkout.moneroo.io/py_mj2m7m6gfro8"
}Créer un panier
Crée un panier pour un produit Maketou et retourne une URL vers laquelle rediriger le client pour payer.
curl --request POST \
--url https://api.maketou.net/api/v1/stores/cart/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productDocumentId": "550e8400-e29b-41d4-a716-446655440000",
"email": "client@example.com",
"firstName": "Jean",
"lastName": "Dupont",
"phone": "+33612345678",
"redirectURL": "https://monsite.com/confirmation",
"webhookUrl": "https://monsite.com/webhooks/maketou-cart",
"meta": {
"userId": "12345",
"source": "website"
}
}
'{
"cart": {
"id": "fd2d91d7-20d2-4b86-b067-d474fb0d1e60",
"createdAt": "2025-11-28T14:27:00.805Z",
"updatedAt": "2025-11-28T14:27:00.805Z",
"status": "waiting_payment",
"customerInfo": {
"firstName": "John",
"lastName": "Doe",
"email": "customer@example.com",
"phone": "+33612345678",
"lang": "fr-FR"
}
},
"redirectUrl": "https://checkout.moneroo.io/py_mj2m7m6gfro8"
}Authorizations
Utilisez votre clé API de Maketou dans le header Authorization.
Body
Identifiant public du produit.
"550e8400-e29b-41d4-a716-446655440000"
Adresse email du client.
"client@example.com"
Prénom du client.
"Jean"
Nom du client.
"Dupont"
Numéro de téléphone du client.
"+33612345678"
URL vers laquelle rediriger le client après paiement.
"https://monsite.com/confirmation"
URL notifiée en POST lorsque le panier passe au statut completed ou payment_failed. Le body est identique à la réponse de GET /api/v1/stores/cart/{cartId} et signé avec le header X-Cart-Signature.
"https://monsite.com/webhooks/maketou-cart"
Métadonnées personnalisées associées au panier.
Show child attributes
Show child attributes
{ "userId": "12345", "source": "website" }
Montant à payer défini à la volée lors de la création du panier pour un produit configuré en prix libre. Il doit être supérieur ou égal au prix minimum du produit.
2000

